ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: Ant 1.2 not compatible with JUnit 3.5
Date Fri, 26 Jan 2001 11:59:45 GMT
Stephane Bailliez <sbailliez@imediation.com> wrote:

> The only difference is the signature of the method addFailure in
> TestListener.

Thanks, 

seems straight forward to patch this, it should even be possible to
make the task work with all versions of JUnit 3.x, something like

public void addFailure(Test test, AssertionFailedError t) {
    addFailure(test, (Throwable) t);
}

in all TestListener implementations should do it, right?

Stefan

Mime
View raw message